com.smartgwt.client.widgets.calendar

## Class DateCellVAlignCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.DateCellVAlignCustomizer

-     public abstract class DateCellVAlignCustomizer
      extends java.lang.Object

  Called to determine the vertical Alignment of the content in s given date cell in a CalendarView

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateCellVAlignCustomizer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract VerticalAlignment` | `getDateCellVAlign(java.util.Date date, int rowNum, int colNum, CalendarView calendarView)` getDateCellVAlign() should be implemented and return the vertical Alignment for the content in the passed date-cell in the passed view To access the Calendar itself, use calendarView.getCalendar().

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateCellVAlignCustomizer

          public DateCellVAlignCustomizer()

  - ### Method Detail

    - #### getDateCellVAlign

          public abstract VerticalAlignment getDateCellVAlign(java.util.Date date,
                                                              int rowNum,
                                                              int colNum,
                                                              CalendarView calendarView)

      getDateCellVAlign() should be implemented and return the vertical Alignment for the content in the passed date-cell in the passed view To access the Calendar itself, use calendarView.getCalendar().
      Parameters:
        `date` - the date to return VerticalAlignment for
        `rowNum` - the row number of the passed date in the passed view
        `colNum` - the column number of the passed date in the passed view
        `calendarView` - the view in which the date cell is being rendered
      Returns:
        Alignment VerticalAlignment of the content in the passed date-cell in the passed view